--- c:/OSGeo4W/apps/qgis/python/plugins/fTools/tools/doVectorGrid.py.orig	2012-07-27 13:56:24 -0500
+++ c:/OSGeo4W/apps/qgis/python/plugins/fTools/tools/doVectorGrid.py	2012-07-27 14:53:01 -0500
@@ -153,8 +153,15 @@
         self.buttonOk.setEnabled( True )

     def compute( self, bound, xOffset, yOffset, polygon ):
-        crs = ftools_utils.getMapLayerByName(unicode(self.inShape.currentText())).crs()
-        if not crs.isValid(): crs = None
+        crs = None
+        layer = ftools_utils.getMapLayerByName(unicode(self.inShape.currentText()))
+        if layer:
+            crs = layer.crs()
+        else:
+            (id, ok) = QgsProject.instance().readNumEntry("SpatialRefSys", "/ProjectCRSID", -1)
+            if ok:
+                crs = QgsCoordinateReferenceSystem(id, QgsCoordinateReferenceSystem.InternalCrsId )
+        if crs and not crs.isValid(): crs = None
         if polygon:
             fields = {0:QgsField("ID", QVariant.Int), 1:QgsField("XMIN", QVariant.Double), 2:QgsField("XMAX", QVariant.Double),
             3:QgsField("YMIN", QVariant.Double), 4:QgsField("YMAX", QVariant.Double)}
